API Docs
API referenceWebhooks

Send a test event

POST/api/v2/webhooks/{id}/test

Sends a webhook.ping event, with the webhook as data, and returns the delivery. Needs webhooks:write.

Path Parameters

id*string

Id of a webhook: webhook_ followed by its key.

Match^webhook_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Header Parameters

idempotency-key?maxLength(255)

Client-chosen key, 1 to 255 characters (a UUID is recommended). The same key on the same endpoint within 24 hours replays the stored response with Idempotent-Replayed: true.

Length1 <= length <= 255

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/webhooks/webhook_0e4ba886-0bfe-4b6a-ae2e-d6d9d135dd1e/test"
{  "object": "delivery",  "id": "delivery_0e4ba886-0bfe-4b6a-ae2e-d6d9d135dd1e",  "eventId": "event_0e4ba886-0bfe-4b6a-ae2e-d6d9d135dd1e",  "eventType": "string",  "status": "delivered",  "responseStatus": 0,  "attempt": 0,  "nextRetryAt": "2026-09-24T10:00:00.000Z",  "createdAt": "2026-09-24T10:00:00.000Z",  "updatedAt": "2026-09-24T10:00:00.000Z"}